// ----------------------------------------------------------------------------
//
// umFish(umFish.PAS)                                     Ulrich Mller 23.6.99
//                                                        Procida 400NT Delphi2
// Deklarationen und Variable zu umFish.DLL
//
// LongInt Parameter, da in umFish.DLL DWORD erforderlich und LongWord nicht in
// Delphi2 vorhanden ist
//
// ----------------------------------------------------------------------------

unit umFish;

interface
const
  ftiAus=0; ftiEin=1; ftiLinks=1; ftiRechts=2;
  ftiFehler=$0001FFFF; ftiTrue=-1; ftiFalse=0;

type TftiDCB = record
  hCom: LongInt;
  PortID: LongInt;
  LPTDelay: LongInt;
  LPTAnalog: LongInt;
  InputStatus: LongInt;
  MotorStatus: LongInt;
  end;
type TpftiDCB = ^TftiDCB;

var
  ftiDCB: TftiDCB; pftiDCB: TpftiDCB = @ftiDCB;

function OpenInterface(ft: TpftiDCB; PortName: string):LongInt;
       stdcall; external 'umFish.dll';
function CloseInterface(ft: TpftiDCB):LongInt;
       stdcall; external 'umFish.dll';
function GetInput(ft: TpftiDCB; InputNr:LongInt):LongInt;
       stdcall; external 'umFish.dll';
function GetInputs(ft: TpftiDCB):LongInt;
       stdcall; external 'umFish.dll';
function ClearMotors(ft: TpftiDCB):LongInt;
       stdcall; external 'umFish.dll';
function SetMotors(ft: TpftiDCB; MotorStatus:LongInt):LongInt;
       stdcall; external 'umFish.dll';
function SetMotor(ft: TpftiDCB; MotorNr, Direction:LongInt):LongInt;
       stdcall; external 'umFish.dll';
function SetLamp(ft: TpftiDCB; LampNr, OnOff:LongInt):LongInt;
       stdcall; external 'umFish.dll';
function GetAnalog(ft: TpftiDCB; AnalogNr:LongInt):LongInt;
       stdcall; external 'umFish.dll';
function StartDriver:LongInt; stdcall; external 'umFish.dll';
function StopDriver:LongInt; stdcall; external 'umFish.dll';

implementation

end.
