// ------------------------------------------------------------------------------------------
//
// umFishVC.CPP                                                        Ulrich Mller  25.1.00
//                                                                     Procida 400NT VC++ 6.0
// Testrahmen VC++ (Konsole) fr umFishRT.DLL
//
// ------------------------------------------------------------------------------------------

#include <iostream.h>
#include "umFishLoad.h"

ftDCB Interface;
ftDCB *pInterface = &Interface;
DWORD res, i;
DWORD Ampel[] = {0x1, 0x4, 0x10};

void main()
{
	if (!LoadFish()) {cout << "LadeFehler umFish.DLL" << endl; return;}
  cout << "---- umFishVC gestartet ----" << endl;
  res = OpenInterface(pInterface, "COM1");              // ----- COM1 bei Bedarf ndern 
  if(res == ftiFehler)                                  //       COMxx oder LPT1 - LPT3, LPT
  {
    cout << "Interface Problem, Abbruch" << endl;
    return;
  }
  cout << "OpenInterface erfolgreich" << endl;
  cout << "Handle XXX : " << Interface.hCom << endl;

  SetMotors(pInterface, 0x55);
  cout << "Alle Motoren/Lampen links/an" << endl;
  cout << "MotorStatus : " << Interface.MotorStatus << endl;
  Sleep(500);

  cout << "--- Schleife ueber die Motoren" << endl;
  ClearMotors(pInterface);
  for(i=0; i<3; i++) {
    res = SetMotor(pInterface, i+1, 1);
    cout << "   MotorStatus : " << Interface.MotorStatus << endl;
    Sleep (500);
  }
  
  cout << "--- Analog X : " << GetAnalog(pInterface, 0) << endl;
  
  cout << " ENDE : Eingang 1 = TRUE, InputStatus : " << GetInputs(pInterface) << endl;
  while (!GetInput(pInterface,1));

  res = ClearMotors(pInterface);
  res = CloseInterface(pInterface);
	FreeFish();
  cout << "--- ENDE umFishVC ----" << endl;
}

